summaryrefslogtreecommitdiffstats
path: root/system/unrtf/unrtf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/unrtf/unrtf.SlackBuild')
-rw-r--r--system/unrtf/unrtf.SlackBuild27
1 files changed, 19 insertions, 8 deletions
diff --git a/system/unrtf/unrtf.SlackBuild b/system/unrtf/unrtf.SlackBuild
index 23850a096e..cb8b561a36 100644
--- a/system/unrtf/unrtf.SlackBuild
+++ b/system/unrtf/unrtf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# Slackware build script for unrtf
-# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
+# Copyright 2007-2009 by titopoquito (titopoquito@gmail.com)
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all
@@ -21,14 +21,13 @@
# ---------------------------------------------------------------------------
# Modified by the SlackBuilds.org Project
-# Exit on most errors
-set -e
PRGNAM=unrtf
-VERSION=0.20.2
+VERSION=0.21.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,16 +35,24 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+# Exit on most errors
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM"_"$VERSION.tar.gz
-cd $PRGNAM"_"$VERSION
+tar -xvf $CWD/$PRGNAM"-"$VERSION.tar.gz
+cd $PRGNAM"-"$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -54,14 +61,18 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man